<bugID>1199640<Summary>Make the remote newtab page pref-able</Summary><Description>Making an all-or-nothing change for the new tab page may be a bit risky.

One way to hedge this risk is to make the remotely hosted newtab page opt-out and toggleable via a pref.

It would entail duplicating code, and adding a condition at the point where Firefox chooses which xhtml page to load.</Description></bugID>